<?php
// no direct access
defined('_JEXEC') or die('Restricted access');

/* * ***********************************************************************
 * K2 App for Watchful
 * Copyright (c) 2006-2020 Watchful
 * ************************************************************************
 * Watchful.net is a web site monitoring and security service.
 * 
 * Although Watchful.net is a paid service, this program is free software;
 * you can redistribute it and/or modify it under the terms of the GNU 
 * General Public License as published by the Free Software Foundation; 
 * either version 2 of the License, or (at your option) any later version.
 *
 * This header must not be removed. Additional contributions/changes
 * may be added to this header as long as no information is deleted.
 * ************************************************************************
 * Get the latest version of this program at: https://watchful.net
 * *********************************************************************** */
class JElementStates extends JElement
{
    public $_name = 'States';

    public function fetchElement($name, $value, &$node, $control_name)
    {
        $options = array();
        if (!is_array($value))
            $value = array($value);

        $states = array(
            0 => "Unpublished",
            1 => "Published",
        );
        $input_name = $control_name . '[' . $name . '][]';
        foreach ($states as $states_key => $states_name)
        {
            $checked = in_array($states_key, $value) ? ' checked="checked"' : ' ';
            $options[] = '<input name="' . $input_name . '" type="checkbox"' . $checked . 'value="' . $states_key . '">' . $states_name;
        }
        return implode("<br />", $options);
    }

}
